### Class

# Msg Service

since: 0

#### Description

    class Msg.Service : GObject.Object
    {
      /* No available fields */
    }

No description available.

Available since: 0

#### Ancestors

- GObject

#### Descendants

- MsgContactService
- MsgDriveService
- MsgMessageService
- MsgUserService

#### Constructors

###### msg_service_new

No description available.

since: 0

#### Functions

###### msg_service_accept_certificate_cb

No description available.

since: 0

###### msg_service_get_https_port

No description available.

since: 0

###### msg_service_parse_response

Parse response data and check for errors. In case no errors are found, return json root object.

since: 0

#### Instance methods

###### msg_service_build_message

Construct and checks a `SoupMessage` for transfer.

since: 0

###### msg_service_get_authorizer

Get related authorizer.

since: 0

###### msg_service_get_session

Get related soup session.

since: 0

###### msg_service_refresh_authorization

No description available.

since: 0

###### msg_service_send

Adds authorizer information to `message` and send it.

since: 0

###### msg_service_send_and_read

Adds authorizer information to `message` and send it.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Msg.Service:authorizer

No description available.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct MsgServiceClass {
      GObjectClass parent;

    }

No description available.

###### Class members

`parent: GObjectClass`
  No description available.